<?php

/*
$current_server_settings inherited from actions.inc
*/

$mail = new Mail();
$mail->server      = $current_server_settings->server_name;
$mail->user_name   = $current_server_settings->server_username;
$mail->password    = $current_server_settings->server_password;
$mail->folder      = $mail_folder;
/* 
The imap true hard code will change as we get other server
type support 
*/
$mail->imap        = true;

$ret_vals = $mail->GetFolder( $mail_folder );

if ( $ret_vals[ 0 ] == 1 ) {
   $folder_obj = $ret_vals[ 1 ];
} else {
   $folder_obj = new MailFolder();
   $folder_obj->folder = 'INBOX';
}

list( $ret, $current_header ) = $folder_obj->GetMessageHeader(
   $message_id
);

$current_structure = '';
$current_structure = $folder_obj->GetMessageStructure( $message_id );

if ( ! is_object( $current_structure ) ) {
   $current_structure = new BaseObject();
   $current_structure->parts = Array();
}

$current_body              = '' ;
$current_encapsulated_body = '';

if ( count( $current_structure->parts ) <= 1 ) {
list( $ret, $current_body ) = $folder_obj->GetMessageBody(
   $message_id
);
}

if ( !is_object( $current_header ) ) {
   $current_header = new BaseObject();
}


 /* Format the time */
   $time_obj = new TimeObject();
   $time_obj->time = strtotime( $current_header->date );
   $time_obj->FormatTime();

   $cur_time_obj = new TimeObject();
   $cur_time_obj->GetLocalTime();
   $cur_time_obj->FormatTime();

   $message_date = '';
   $message_date =
   $time_obj->hour  . ':' . $time_obj->min . ':' . $time_obj->am_pm;
   if ( 
      ($cur_time_obj->year != $time_obj->year)||
      ($cur_time_obj->month != $time_obj->month )  ||
      ($cur_time_obj->day != $time_obj->day)
   ) {
   $message_date .=  ' ' .
      $time_obj->year . '/' . $time_obj->month . '/' . $time_obj->day;
   }

    /* Format the message size */
   $message_size = '';
   $filesize_obj = new FileSizeObject();
   $message_size = 
   $filesize_obj->FormatFileSize( $current_header->Size );


if ( $current_header->subject == '' ) {
   $current_header->subject = '&nbsp;';
}

$back_to_mailbox = $url_util->PostUrl(
   Array(
      'form_mode'       => $mail_folder_sort_by
   )
);

$reply_to_mail = $url_util->PostUrl(
   Array(
      'message_id'      => $message_id,
      'form_mode'       => PIMP_MAIL_REPLY
   )
);

$reply_quoted_to_mail = $url_util->PostUrl(
   Array(
      'message_id'      => $message_id,
      'form_mode'       => PIMP_MAIL_REPLY_QUOTED
   )
);

$forward_mail = $url_util->PostUrl(
   Array(
      'message_id'      => $message_id,
      'form_mode'       => PIMP_MAIL_FORWARD
   )
);

echo $template_obj->GetValue( 'content_table_start' );

$value     = $current_header->subject;
$desc      = 
'
( <A Href="' . $reply_to_mail . '">Reply</a> )&nbsp;
( <A Href="' . $reply_quoted_to_mail . '">Reply Quoted</a> )&nbsp;
( <A Href="' . $forward_mail  . '">Forward</a> )&nbsp;
( <A Href="' . $back_to_mailbox . '">Back to ' . $mail_folder . '</a> )&nbsp;
';
include( './templates/form/form_section_title.inc' );

$desc_text = 'From';
$value     = $current_header->fromaddress;
$desc      = '';
include( './templates/form/form_readonly_text_elem.inc' );

if ( $current_header->toaddress != '' ) {
$desc_text = 'To';
$value     = $current_header->toaddress;
$desc      = '';
include( './templates/form/form_readonly_text_elem.inc' );
}

if ( $current_header->ccaddress != '' ) {
$desc_text = 'Cc';
$value     = $current_header->ccaddress;
$desc      = '';
include( './templates/form/form_readonly_text_elem.inc' );
}

$desc_text = 'Subject';

$desc_text = 'Subject';
$value     = $current_header->subject;
$desc      = '';
include( './templates/form/form_readonly_text_elem.inc' );

$desc_text = 'Date';
$value     = $message_date;
$desc      = '';
include( './templates/form/form_readonly_text_elem.inc' );

$desc_text = 'Size';
$value     = $message_size;
$desc      = '';
include( './templates/form/form_readonly_text_elem.inc' );

if ( $current_body == '' ) {
include( './pimp/templates/read/message_components.inc' );
}

include( './pimp/templates/read/message_body.inc' );

if ( $current_encapsulated_body != '' ) {
   /* We display forwared messages */
   include( './pimp/templates/read/message_encapsulated_body.inc' );
}

include( './pimp/templates/read/message_bottom.inc' );

?>
