CREATE TABLE ppim_address (
   id                   BIGINT         NOT NULL AUTO_INCREMENT,
   ppim_persona         BIGINT         NOT NULL DEFAULT 0,
   address_name         TEXT           NOT NULL DEFAULT '',
   address              TEXT           NOT NULL DEFAULT '',
   city                 TEXT           NOT NULL DEFAULT '',
   state                TEXT           NOT NULL DEFAULT '',
   zip                  TEXT           NOT NULL DEFAULT '',
   country              TEXT           NOT NULL DEFAULT '',
   mailing_address      INT            NOT NULL DEFAULT 0,
   last_update_by       BIGINT         NOT NULL DEFAULT '',
   last_update          DATETIME       NOT NULL,
   PRIMARY KEY( id ),
   INDEX( id, ppim_persona )
)
