<?php 

reset( $app_server->apps );
while( list( $app, $obj_ref ) = each($app_server->apps) ) {
   if ( $app == 'MANAGER' ) {
      if ( $user_admin_privileges_obj->add_users == 0 &&
           $user_admin_privileges_obj->edit_users == 0 &&
           $user_admin_privileges_obj->delete_users == 0 ) {
      } else {
      $app_selected     = 0;
      $c_application    = $app;
      $app_title        = $obj_ref->app_description;
      $new_mode         = $app;

      if ( $current_application == $app ) { 
         $app_selected = 1; 
      }


      $template_obj->Register( 'app_url', 
           $url_util->PostUrl(
                  Array(
                  'form_mode'             => $new_mode,
                  'current_application'   => $c_application
                  )
           )
      );

      $template_obj->Register( 'app_title', $app_title );

      if ( $app_selected == 1 ) {
         $template_obj->ParseTemplate(
            './templates/horizontal_toolbar/item_selected.inc' 
         );
      } else {
         $template_obj->ParseTemplate(
            './templates/horizontal_toolbar/item_not_selected.inc' 
         );
      }

      }
   } else {

   if ( is_object( $obj_ref ) && $obj_ref->app_description != '' ) {
      $app_selected     = 0;
      $c_application    = $app;
      $app_title        = $obj_ref->app_description;
      $new_mode         = $app;


      $template_obj->Register( 'app_url', 
           $url_util->PostUrl(
                  Array(
                  'form_mode'             => $new_mode,
                  'current_application'   => $c_application
                  )
           )
      );

      $template_obj->Register( 'app_title', $app_title );


      if ( $current_application == $app ) { 
         $app_selected = 1; 
      }

      if ( $app_selected == 1 ) {
         $template_obj->ParseTemplate(
            './templates/horizontal_toolbar/item_selected.inc' 
         );
      } else {
         $template_obj->ParseTemplate(
            './templates/horizontal_toolbar/item_not_selected.inc' 
         );
      }

   }

   }
}
?>
