<?php

/* Defines the default theme items */
$template_obj->Register(
'default_body_tag',
'<body bgcolor="#000000" link="#000000" vlink="#000000" alink="#000000">'
);

/* Content table definitions */
$template_obj->Register(
   'content_table_start',
   '<table border="0" cellpadding="0" cellspacing="0" bgcolor="' .
      $template_obj->GetValue( 'content_bgcolor' ) .
   '" width="100%">
<tr><td>
<table border="0" cellspacing="1" cellpadding="3" width="100%">
'
);

$template_obj->Register(
   'content_table_end',
   '
</table>
</td></tr>
</table>
'
);

$template_obj->Register(
   'title_font',
   '<font color="' . 
      $template_obj->GetValue( 'title_font_color' ) .
   '" face="' .
      $template_obj->GetValue( 'title_font_face' ) . 
   '">'
);

$template_obj->Register(
   'nav_font',
   '<font color="' . 
      $template_obj->GetValue( 'nav_font_color' ) .
   '" face="' .
      $template_obj->GetValue( 'nav_font_face' ) . 
   '">'
);
$template_obj->Register( 
'default_font',
   '<font color="' . 
      $template_obj->GetValue( 'default_font_color' ) .
   '" face="' .
      $template_obj->GetValue( 'default_font_face' ) . 
   '">'
);
$template_obj->Register(
   'mail_new_font',
   '<font color="' . 
      $template_obj->GetValue( 'mail_new_font_color' ) .
   '" face="' .
      $template_obj->GetValue( 'mail_new_font_face' ) . 
   '">'
);
$template_obj->Register(
   'mail_deleted_font',
   '<font color="' . 
      $template_obj->GetValue( 'mail_deleted_font_color' ) .
   '" face="' .
      $template_obj->GetValue( 'mail_deleted_font_face' ) . 
   '">'
);
$template_obj->Register(
   'mail_read_font',
   '<font color="' . 
      $template_obj->GetValue( 'mail_read_font_color' ) .
   '" face="' .
      $template_obj->GetValue( 'mail_read_font_face' ) . 
   '">'
);

if ( $browser_obj->style_sheets ) {
   $style_sheet = '
<style>

BODY
{
   font-family: ' . $template_obj->GetValue( 'default_font_face' ) . ';
}

TABLE
{
   font-family: ' . $template_obj->GetValue( 'default_font_face' ) . ';
}

TR
{
   font-family: ' . $template_obj->GetValue( 'default_font_face' ) . ';
}

TD
{
   font-family: ' . $template_obj->GetValue( 'default_font_face' ) . ';
}

INPUT
{
   font-family: ' . $template_obj->GetValue( 'default_font_face' ) . ';
}

TEXTAREA
{
   font-family: ' . $template_obj->GetValue( 'default_font_face' ) . ';
}

.title
{
   font-family: ' . $template_obj->GetValue( 'title_font_face' ) . ';
   color: ' . $template_obj->GetValue( 'title_font_color' ) . ';
   background-color: ' . $template_obj->GetValue( 'title_bgcolor' ) . ';
}

.nav
{
   font-family: ' . $template_obj->GetValue( 'nav_font_face' ) . ';
   color: ' . $template_obj->GetValue( 'nav_font_color' ) . ';
   background-color: ' . $template_obj->GetValue( 'nav_bgcolor' ) . ';
}

.default
{
   font-family: ' . $template_obj->GetValue( 'default_font_face' ) . ';
   color: ' . $template_obj->GetValue( 'default_font_color' ) . ';
   background-color: ' . $template_obj->GetValue( 'default_bgcolor' ) . ';
}
.mailnew
{
   font-family: ' . $template_obj->GetValue( 'mail_new_font_face' ) . ';
   color: ' . $template_obj->GetValue( 'mail_new_font_color' ) . ';
   background-color: ' . $template_obj->GetValue( 'mail_new_bgcolor' ) . ';
}

.maildeleted
{
   font-family: ' . $template_obj->GetValue( 'mail_deleted_font_face' ) . ';
   color: ' . $template_obj->GetValue( 'mail_deleted_font_color' ) . ';
   background-color: ' . $template_obj->GetValue( 'mail_deleted_bgcolor' ) . ';
}

.mailread
{
   font-family: ' . $template_obj->GetValue( 'mail_read_font_face' ) . ';
   color: ' . $template_obj->GetValue( 'mail_read_font_color' ) . ';
   background-color: ' . $template_obj->GetValue( 'mail_read_bgcolor' ) . ';
}

</style>
';

   $template_obj->Register( 'default_style_sheet', $style_sheet );

   // include( './themes/common/style_sheets.inc' );
   /*
   If style sheets are not working comment out the style sheet line 
   and replace it with the one below.
   JEO - Style sheets are turned off for a bit, to see if the bsod goes away
   */
   $template_obj->Register( 'default_style_sheet', '' );
   include( $PROMETHEUS_APP_BASE . '/themes/common/no_style_sheets.inc' );

} else {

   $template_obj->Register( 'default_style_sheet', '' );

   include( './themes/common/no_style_sheets.inc' );

}
?>
